<template>
    <b-navbar class="navbar" type="is-dark" fixed-top>
        <template slot="brand">
            <b-navbar-item>
                <img src="../assets/logo.png" />
            </b-navbar-item>
            <b-navbar-item>
              Seguridad SL
            </b-navbar-item>
        </template>
        <template slot="end">
            <b-navbar-item tag="div">
                <div class="buttons" @click="logButton">
                    <a class="button is-light">
                        {{ logInButtonText }}
                    </a>
                </div>
            </b-navbar-item>
        </template>
    </b-navbar>
</template>

<script>
import {mapGetters, mapActions} from 'vuex'

export default {
  name: 'Navbar',
  computed : {
    ...mapGetters({
        isLogged: "getLoginState"
    }),
    logInButtonText () {
      return this.isLogged ? 'Log Out' : 'Log In'
    }
  },
  methods: {
    ...mapActions(['logout']),
    logButton () {
      const router = this.$router

      this.logout(router)
    }
  }
}
</script>
